Create Multiple Object Record Attachments
You can create object record attachments in bulk with a JSON or CSV input file. You must first load the attachments to the file staging server. If the attachment already exists in your Vault, Vault uploads it as a new version of the existing attachment. Learn more about attachment versioning in Vault Help
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard format
. - The maximum batch size is 500.
POST
/api/{version}/vobjects/{object_name}/attachments/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV or JSON input file.
| Name | Description |
|---|---|
idrequired | The id of the object record to which to add the attachment. |
filename__vrequired | The name for the new attachment. This name must include the file extension, for example, MyAttachment.pdf. If an attachment with this name already exists, it is added as a new version. Cannot exceed 218 bytes. |
filerequired | The filepath of the attachment on the file staging server. |
description__voptional | Description of the attachment. Maximum 1,000 characters. |
external_id__voptional | The external ID value of the attachment. |
Request
Section link for Requestcurl -X POST -H 'Authorization: {SESSION_ID}\
-H 'Accept: text/csv' \
-H 'Content-Type: text/csv' \
--data-binary @"create_attachments.csv" \
https://myvault.veevavault.com/api/v23.1/vobjects/veterinary_patient__c/attachments/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 140,
"version": 1
},
{
"responseStatus": "SUCCESS",
"id": 141,
"version": 1
}
]
}